{% extends 'report/reportLayout.twig' %}

{% block content %}
    <h1>Bilan objets</h1>


    <form id='formBilan' method='post' action='#' novalidate>

        {% form_theme form 'bootstrap_3_layout.html.twig' %}
        {{ form_widget(form) }}

        <button type="submit" class="btn btn-primary" onclick="$('#formBilan').attr('action', '{{ url('report-objects') }}#res');">Afficher le bilan</button>

        <button type="submit" class="btn btn-default" onclick="$('#formBilan').attr('action', '{{ url('report-objects') }}?csv#res');">Générer un fichier CSV</button>
        {#
                        <button type="submit" class="btn btn-default" onclick="$('#formBilan').attr('action', '{{ url('report-objects-photos') }}');">Extraire les photos</button>#}


    </form>
    {% if tabO|length == 0 %}
        <h2>{{ tabO|length }}
            objet</h2>
    {% endif %}
    {% if tabO|length > 0 %}

    {% set totalPerimetre = 0 %}
    {% set totalSurface = 0 %}

        <h2 id="resCount">{{ tabO|length }}
            objets</h2>


        <div id="objects" class="">

            <input class="search" placeholder="Rechercher..." id="search"/>

            <table class="table table-condensed table-striped table-hover table-sm" id="resTable">

                <thead class="thead-dark">

                    <tr>
                        <th>Index</th>
                        <th class="sysma_object_id">Id Objet</th>
                        <th class="sysma_object">Objet</th>
                        <th class="sysma_object_type">Type</th>
                        <th class="organisation">Organisation</th>
                        <th class="modification_date">Date modif.</th>
                        <th class="start_date">Date début</th>
                        <th class="end_date">Date fin</th>
                        <th class="cl_status">Statut</th>
                        {% if tabC[tabO[0].id] is defined %}
                            <th>Communes</th>
                        {% endif %}
                        {% if tabEPCI[tabO[0].id] is defined %}
                            <th>EPCI</th>
                        {% endif %}
                        {% if tabBVCT[tabO[0].id] is defined %}
                            <th>BV CT</th>
                        {% endif %}
                        {% if tabME[tabO[0].id] is defined %}
                            <th>ME</th>
                        {% endif %}
                        {% if tabO[0].data is defined %}
                            {% for V in tabO[0].data %}
                                <th>{{V.parameter.parameter|raw }}</th>
                            {% endfor %}
                        {% endif %}
                        {% if infogeo == 1 %}
                            <th>Lin./périm. (m)</th>
                        {% endif %}
                        {% if infogeo == 1 %}
                            <th>Surface (m²)</th>
                        {% endif %}
                        {% if  tabO[0].tabOP is defined %}
                            <th>Photos</th>
                        {% endif %}


                    </tr>

                </thead>

                <tbody class="list">

                    {% for O in tabO %}
                        {% if O.id|default(null) matches '/^\\d+$/'  %}
                            <tr>
                                <td>{{ loop.index }}</td>
                                <td class="sysma_object_id">
                                    <a href="{{ url('objet-carte',{ 'sysma_object_id' : O.id }) }}" target="_blank">{{ O.id }}</a>
                                </td>
                                <td class="sysma_object">{{ O.sysma_object|raw }}</td>
                                <td class="sysma_object_type">{{ O.sysma_object_type|raw }}</td>
                                <td class="organisation">{{ O.organisation|raw }}</td>
                                <td class="modification_date">{{ O.modified_at == null ? null : O.modified_at|date('d/m/Y') }}</td>
                                <td class="start_date">{{ O.start_date==0 ? null : O.start_date|date('d/m/Y') }}</td>
                                <td class="endte_date">{{ O.end_date==0 ? null : O.end_date|date('d/m/Y') }}</td>
                                <td class="cl_status">
                                    {{ include('sysma-object/sysmaObjectStatusLabel.twig') }}</td>
                                {% if tabC[O.id] is defined %}
                                    <td class="commune">
                                        {% for c in tabC[O.id] %}
                                            {{ c.sysma_object }}
                                        {% endfor %}
                                    </td>
                                {% endif %}
                                {% if tabEPCI[O.id] is defined %}
                                    <td class="epci">
                                        {% for c in tabEPCI[O.id] %}
                                            {{ c.sysma_object }}
                                        {% endfor %}
                                    </td>
                                {% endif %}
                                {% if tabBVCT[O.id] is defined %}
                                    <td class="bvct">
                                        {% for c in tabBVCT[O.id] %}
                                            {{ c.sysma_object }}
                                        {% endfor %}
                                    </td>
                                {% endif %}

                                {% if tabME[O.id] is defined %}
                                    <td class="me">
                                        {% for c in tabME[O.id] %}
                                            {{ c.sysma_object }}
                                        {% endfor %}
                                    </td>
                                {% endif %}
                                {% if tabO[0].data is defined %}
                                    {% for V in O.data %}
                                        <td>
                                            {{V.value|join(',')|raw }}
                                        </td>
                                    {% endfor %}
                                {% endif %}
                                {% if infogeo == 1 %}
                                    <td class="perimetre">
                                        {% if O.infosGeom['perimetre'] is defined %}
                                            {{O.infosGeom['perimetre']|round()}}
                                            {% set totalPerimetre = totalPerimetre + O.infosGeom['perimetre'] %}
                                        {% endif %}
                                        
                                    </td>
                                {% endif %}
                                {% if infogeo == 1 %}
                                    <td class="surface">

                                        {% if O.infosGeom['surface'] is defined %}
                                            {{O.infosGeom['surface']|round()}}
                                            {% set totalSurface = totalSurface + O.infosGeom['surface'] %}
                                        {% endif %}
                                    </td>
                                {% endif %}

                                {% if  tabO[0].tabOP is defined %}

                                    <td>
                                        <table>
                                            {% for P in O.tabOP %}

                                                <tr>
                                                    <td>
                                                        <a href="{{ P.Photo.large|default(null) }}" target="_blank"><img style="padding-right:10px;" src="{{ P.Photo.square|default(null) }}" width="120px"/></a>
                                                    </td>
                                                    <td>
                                                        {{P.Photo.path|default(null)|slice(28) }}<br>
                                                        Ordre :
                                                        {{P.display_order|default(null)}}
                                                        {{P.before_after|default(null)}}
                                                    </td>
                                                {% endfor %}
                                            </table>
                                        </td>
                                    {% endif %}


                                </tr>
                            {% endif %}
                        {% endfor %}
                    </tbody>
                </tbody>


                 <tfoot>

                    <tr>
                        <th>Index</th>
                        <th>Id Objet</th>
                        <th>Objet</th>
                        <th>Type</th>
                        <th>Organisation</th>
                        <th>Date modif.</th>
                        <th>Date début</th>
                        <th>Date fin</th>
                        <th>Statut</th>
                        {% if tabC[tabO[0].id] is defined %}
                            <th>Communes</th>
                        {% endif %}
                        {% if tabEPCI[tabO[0].id] is defined %}
                            <th>EPCI</th>
                        {% endif %}
                        {% if tabBVCT[tabO[0].id] is defined %}
                            <th>BV CT</th>
                        {% endif %}
                        {% if tabME[tabO[0].id] is defined %}
                            <th>ME</th>
                        {% endif %}
                        {% if tabO[0].data is defined %}
                            {% for V in tabO[0].data %}
                                <th>{{V.parameter.parameter|raw }}</th>
                            {% endfor %}
                        {% endif %}
                        {% if infogeo == 1 %}
                            <th><span id="totalPerimetre">{{ totalPerimetre|round() }}</span> m</th>
                        {% endif %}
                        {% if infogeo == 1 %}
                            <th><span id="totalSurface">{{ totalSurface|round() }}</span> m²</th>
                        {% endif %}
                        {% if  tabO[0].tabOP is defined %}
                            <th>Photos</th>
                        {% endif %}


                    </tr>

                </tfoot>


            </table>

        {% endif %}

    </div>


    <script src="/js/list.min.js"></script>
    <script>
        var options = {
            valueNames: [
                'sysma_object_id',
                'sysma_object',
                'sysma_object_type',
                'organisation',
                'modification_date',
                'start_date',
                'end_date',
                'cl_status',
                'commune',
                'epci',
                'bvct',
                'me'
            ]
        };


        var actionList = new List('objects', options);

        let searchInput = document.getElementById('search');
        var totalPerimetre = document.getElementById('totalPerimetre')        
        var totalSurface = document.getElementById('totalSurface')
        
        searchInput.addEventListener("keyup", function () {
            document.getElementById('resCount').innerHTML = document.getElementById('resTable').rows.length - 2 + ' résultat(s)';

            let perimetres = document.getElementsByClassName('perimetre') ;
            var totalP = 0 ;
            Array.prototype.forEach.call(perimetres, function(el) {                
                totalP += Number(el.textContent)  ;                
            });
            totalPerimetre.textContent = totalP ;

            let surfaces = document.getElementsByClassName('surface') ;
            var totalS = 0 ;
             Array.prototype.forEach.call(surfaces, function(el) {                
                totalS += Number(el.textContent)  ;                
            });
            totalSurface.textContent = totalS ;

        }) ;

        


    </script>


{% endblock %}
